Loading...
Searching...
No Matches
gx_engine::GxJConvSettings Class Reference

`#include <gx_internal_plugins.h>`

## Public Member Functions

| GxJConvSettings ()
GxJConvSettings & | operator= (GxJConvSettings const &jcset)
bool | operator== (const GxJConvSettings &jcset) const
const std::string & | getIRFile () const
std::string | getFullIRPath () const
float | getGain () const
guint | getOffset () const
guint | getLength () const
guint | getDelay () const
bool | getGainCor () const
const Gainline & | getGainline () const
const std::string & | getIRDir () const
void | setFullIRPath (string name)
void | setIRFile (string name)
void | setGain (float gain)
void | setGainCor (bool gain)
void | setOffset (guint offs)
void | setLength (guint leng)
void | setDelay (guint del)
void | setGainline (const Gainline &gain)
void | readJSON (gx_system::JsonParser &jp)
void | writeJSON (gx_system::JsonWriter &w) const

## Private Member Functions

void | read_gainline (gx_system::JsonParser &jp)
void | setIRDir (string name)

## Private Attributes

std::string | fIRFile
std::string | fIRDir
float | fGain
guint | fOffset
guint | fLength
guint | fDelay
Gainline | gainline
bool | fGainCor

## Friends

class | ConvolverAdapter
class | ParameterV< GxJConvSettings >

## Detailed Description

Definition at line 279 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## GxJConvSettings()

gx_engine::GxJConvSettings::GxJConvSettings | ( |  | ) |

Referenced by ConvolverAdapter, operator=(), and operator==().

## Member Function Documentation

## getDelay()

guint gx_engine::GxJConvSettings::getDelay | ( |  | ) | const

inline

Definition at line 305 of file gx_internal_plugins.h.

## getFullIRPath()

std::string gx_engine::GxJConvSettings::getFullIRPath | ( |  | ) | const

## getGain()

float gx_engine::GxJConvSettings::getGain | ( |  | ) | const

inline

Definition at line 302 of file gx_internal_plugins.h.

## getGainCor()

bool gx_engine::GxJConvSettings::getGainCor | ( |  | ) | const

inline

Definition at line 306 of file gx_internal_plugins.h.

## getGainline()

const Gainline & gx_engine::GxJConvSettings::getGainline | ( |  | ) | const

inline

Definition at line 307 of file gx_internal_plugins.h.

## getIRDir()

const std::string & gx_engine::GxJConvSettings::getIRDir | ( |  | ) | const

inline

Definition at line 308 of file gx_internal_plugins.h.

## getIRFile()

const std::string & gx_engine::GxJConvSettings::getIRFile | ( |  | ) | const

inline

Definition at line 300 of file gx_internal_plugins.h.

## getLength()

guint gx_engine::GxJConvSettings::getLength | ( |  | ) | const

inline

Definition at line 304 of file gx_internal_plugins.h.

## getOffset()

guint gx_engine::GxJConvSettings::getOffset | ( |  | ) | const

inline

Definition at line 303 of file gx_internal_plugins.h.

## operator=()

GxJConvSettings & gx_engine::GxJConvSettings::operator= | ( | GxJConvSettings const & | jcset | ) |

## operator==()

bool gx_engine::GxJConvSettings::operator== | ( | const GxJConvSettings & | jcset | ) | const

## read_gainline()

void gx_engine::GxJConvSettings::read_gainline | ( | gx_system::JsonParser & | jp | ) |

private

## readJSON()

void gx_engine::GxJConvSettings::readJSON | ( | gx_system::JsonParser & | jp | ) |

## setDelay()

void gx_engine::GxJConvSettings::setDelay | ( | guint | del | ) |

inline

Definition at line 315 of file gx_internal_plugins.h.

## setFullIRPath()

void gx_engine::GxJConvSettings::setFullIRPath | ( | string | name | ) |

## setGain()

void gx_engine::GxJConvSettings::setGain | ( | float | gain | ) |

inline

Definition at line 311 of file gx_internal_plugins.h.

## setGainCor()

void gx_engine::GxJConvSettings::setGainCor | ( | bool | gain | ) |

inline

Definition at line 312 of file gx_internal_plugins.h.

## setGainline()

void gx_engine::GxJConvSettings::setGainline | ( | const Gainline & | gain | ) |

inline

Definition at line 316 of file gx_internal_plugins.h.

## setIRDir()

void gx_engine::GxJConvSettings::setIRDir | ( | string | name | ) |

inline private

Definition at line 292 of file gx_internal_plugins.h.

## setIRFile()

void gx_engine::GxJConvSettings::setIRFile | ( | string | name | ) |

inline

Definition at line 310 of file gx_internal_plugins.h.

## setLength()

void gx_engine::GxJConvSettings::setLength | ( | guint | leng | ) |

inline

Definition at line 314 of file gx_internal_plugins.h.

## setOffset()

void gx_engine::GxJConvSettings::setOffset | ( | guint | offs | ) |

inline

Definition at line 313 of file gx_internal_plugins.h.

## writeJSON()

void gx_engine::GxJConvSettings::writeJSON | ( | gx_system::JsonWriter & | w | ) | const

## Friends And Related Symbol Documentation

## ConvolverAdapter

friend class ConvolverAdapter

friend

Definition at line 293 of file gx_internal_plugins.h.

Referenced by ConvolverAdapter.

## ParameterV< GxJConvSettings >

friend class ParameterV< GxJConvSettings >

friend

Definition at line 293 of file gx_internal_plugins.h.

## Member Data Documentation

## fDelay

guint gx_engine::GxJConvSettings::fDelay

private

Definition at line 288 of file gx_internal_plugins.h.

Referenced by getDelay(), and setDelay().

## fGain

float gx_engine::GxJConvSettings::fGain

private

Definition at line 285 of file gx_internal_plugins.h.

Referenced by getGain(), and setGain().

## fGainCor

bool gx_engine::GxJConvSettings::fGainCor

private

Definition at line 290 of file gx_internal_plugins.h.

Referenced by getGainCor(), and setGainCor().

## fIRDir

std::string gx_engine::GxJConvSettings::fIRDir

private

Definition at line 283 of file gx_internal_plugins.h.

Referenced by getIRDir(), and setIRDir().

## fIRFile

std::string gx_engine::GxJConvSettings::fIRFile

private

Definition at line 282 of file gx_internal_plugins.h.

Referenced by getIRFile(), and setIRFile().

## fLength

guint gx_engine::GxJConvSettings::fLength

private

Definition at line 287 of file gx_internal_plugins.h.

Referenced by getLength(), and setLength().

## fOffset

guint gx_engine::GxJConvSettings::fOffset

private

Definition at line 286 of file gx_internal_plugins.h.

Referenced by getOffset(), and setOffset().

## gainline

Gainline gx_engine::GxJConvSettings::gainline

private

Definition at line 289 of file gx_internal_plugins.h.

Referenced by getGainline(), and setGainline().

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h